using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    ///打印任务
    /// </summary>
    [Description("打印任务")]
   [IgnoreT4]public class T_FM_PRINTER_TASK : MesEntityBase
	{
        /// <summary>箱号</summary>
        [Description("箱号")]
		public string CODE { get; set; }

        /// <summary>序列号</summary>
        [Description("序列号")]
		public string SERIAL_NUM { get; set; }


		/// <summary>毛重</summary>
		[Description("毛重")]
		public string WEIGHT { get; set; }

        /// <summary>数量</summary>
        [Description("数量")]
		public string NUM { get; set; }

        /// <summary>打印机名称</summary>
        [Description("打印机名称")]
        public string PRINTER_NAME { get; set; }

        /// <summary>类型</summary>
        [Description("类型")]
        [EnumName("FMPrintTypeEnum")]
        public int TYPE { get; set; }

        /// <summary>状态FMPrintStatusEnum</summary>
        [Description("状态")]
        [EnumName("FMPrintStatusEnum")]
        public int STATUS { get; set; }
    }
}
